

!!! Listing 1

package jspTutorial;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.PrintWriter;
import java.io.IOException;
import java.io.FileInputStream;
import java.io.ObjectInputStream;
import java.util.Vector;
import org.apache.jasper.runtime.*;
import java.beans.*;
import org.apache.jasper.JasperException;


public class _0002fjspTutorial_0002forder_0002ejsporder_jsp_0 extends HttpJspBase {


    static {
    }
    public _0002fjspTutorial_0002forder_0002ejsporder_jsp_0( ) {
    }

    private static boolean _jspx_inited = false;

    public final void _jspx_init() throws JasperException {
    }

    public void _jspService(HttpServletRequest request, HttpServletResponse  response)
        throws IOException, ServletException {

        JspFactory _jspxFactory = null;
        PageContext pageContext = null;
        HttpSession session = null;
        ServletContext application = null;
        ServletConfig config = null;
        JspWriter out = null;
        Object page = this;
        String  _value = null;
        try {

            if (_jspx_inited == false) {
                _jspx_init();
                _jspx_inited = true;
            }
            _jspxFactory = JspFactory.getDefaultFactory();
            response.setContentType("text/html;charset=8859_1");
            pageContext = _jspxFactory.getPageContext(this, request, response,
			"/jspTutorial/errorpage.jsp", true, 8192, true);

            application = pageContext.getServletContext();
            config = pageContext.getServletConfig();
            session = pageContext.getSession();
            out = pageContext.getOut();

		.
		.
		.

  }

}
		
!!! Listing 2

<jsp:useBean
   id    = "pizzaModelManager"
   class = "de.ix.jspTutorial.controller.ModelManager"
   scope = "session"
>
  <% 
   pizzaModelManager.init(config.getServletContext(), session);
  %>   
</jsp:useBean>

!!! Listing 3

package de.ix.jspTutorial.controller ;

import ... ;

public class ModelManager implements de.ix.jspTutorial.constants.SessionConstants{

    private ServletContext application;
    private HttpSession    httpSession;

    public void init(ServletContext application,HttpSession httpSession) {
       this.httpSession     = httpSession;
       this. application = application;
       getPizzaAccessor();	
    }

    public PizzaAccessor getPizzaAccessor() {
      PizzaAccessor pizzaAccessor = null ;
      synchonized(application) {
      	pizzaAccessor = (PizzaAccessor) application.getAttribute(PIZZA_ACCESS);
        if (pizzaAccessor == null) {
          pizzaAccessor = new PizzaAccessor(application);
          application.setAttribute(PIZZA_ACCESS, pizzaAccessor);
        }
      }
      return pizzaAccess;
    }
//	...
}

!!! Listing 4

public void readList(ServletContext application) {
 	 
  PizzaAccessor theAccessor = (PizzaAccessor) application.getAttribute(PIZZA_ACCESSOR ) ;
  if(theAccessor != null) {
     application.log("Read Pizza's from JDBC") ;
     pizzas = theAccessor.readPizzaList(application) ;
  } else
     new RuntimeException ("Can't Access Database for pizza") ;
} 


!!! Listing 5

package de.ix.jspTutorial.controller;

import ...

 /**
  * Klasse zur Abarbeitung aller Request, die in den globalen 
  * Eintrittspunkt der Applikation eingegangen sind.
  */

public class RequestProcessor 
  implements de.ix.jspTutorial.constants.RequestParameterConstants {

  private HttpSession httpSession;
  private ServletContext application;
  private ModelManager pizzaModelManager;

  /**
    *  Methode zur Initialisierung aller privaten Attribute der 
    *  gegebenen <code>RequestProcessor</code> Instanz
    *
    *  @param servletContext  actual Servlet Context
    *  @param httpSession     actual HTTP Session
    */
  public void init(ServletContext application, HttpSession httpSession) {
    this.httpSession    = httpSession;
    this.application = application;

    pizzaModelManager     =       
       (ModelManager)httpSession.getValue(SessionConstants.MODEL_MANAGER);
  }


  /**
    * Methode zum Request bzw. zur Bearbeitung aller Http Request
    *
    * @param request actual HttpServletRequest
    *
    */
  public void processRequest(HttpServletRequest request)
                       throws MissingInputParamsException  {

  String doAction ="";
    try {
      doAction = (String)request.getParameter(DO_ACTION);
    } catch(Exception ex) {
      doAction = "";
    }

    checkParameters(doAction,request);
    handleEvent(doAction,request);
  }
//	...
}

!!! Listing 6

<% 	
   response.setDateHeader("Expires",0);
   response.setHeader("Pragma","no-cache");
   response.setHeader("Cache-Control","no-cache,must-revalidate");
%>
 
!!! Listing 7

<!-- Table for choice of ingredients -->	

<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
			
<TR BGCOLOR="#406E6E">
    <TD WIDTH="150"><FONT FACE="Arial,Helvetica" SIZE="2" COLOR="#FFFFFF">&nbsp;Name</TD>
    <TD WIDTH="100"><FONT FACE="Arial,Helvetica" SIZE="2" COLOR="#FFFFFF">&nbsp;Preis</TD>
    <TD WIDTH="50"><FONT FACE="Arial,Helvetica" SIZE="2" COLOR="#FFFFFF">&nbsp;</TD>	
</TR>
			
<%
  Set entrySet2 = ingredientList.getIngredients().entrySet();

  for (Iterator iter2 = entrySet2.iterator(); iter2.hasNext();) {
    Map.Entry entry2 = (Map.Entry)iter2.next();
    Ingredient ingredient = (Ingredient)entry2.getValue();		
%>			
  
    <TR>
      <TD><FONT ... >&nbsp;<%=ingredient.getName()%></TD>
      <TD><FONT ... >&nbsp;DM&nbsp;<%=formatCurrency(ingredient.getPrice())%></TD>
      <TD><FONT ... ><INPUT NAME="ID_INGREDIENTS" TYPE="checkbox" 
             VALUE="<%=ingredient.getId()%>">
      </TD>	
    </TR>

<%
  }	
%>		
				
</TABLE>

!!! Listing 8

out.print("<!-- Table for choice of ingredients -->\t\r\n\r\n \t\t\t
<TABLE BORDER=\"0\" CELLPADDING=\"0\" CELLSPACING=\"0\">\r\n\t\t\t\r\n\t\t\t<TR BGCOLOR=\"#406E6E\">\r\n\t\t\t\t<TD WIDTH=\"150\"><FONT FACE=\"Arial,Helvetica\" SIZE=\"2\" COLOR=\"#FFFFFF\">&nbsp;Name</TD>\r\n\t\t\t\t<TD WIDTH=\"100\"><FONT FACE=\"Arial,Helvetica\" SIZE=\"2\" COLOR=\"#FFFFFF\">&nbsp;Preis</TD>\r\n\t\t\t\t<TD WIDTH=\"50\"><FONT FACE=\"Arial,Helvetica\" SIZE=\"2\" COLOR=\"#FFFFFF\">&nbsp;</TD>\t\t\r\n\t\t\t</TR>\r\n\t\t\t\r\n\t\t\t\r\n\t\t\t");

  Set entrySet2 = ingredientList.getIngredients().entrySet();

   for (Iterator iter2 = entrySet2.iterator(); iter2.hasNext();) {
     Map.Entry entry2 = (Map.Entry)iter2.next();
     Ingredient ingredient = (Ingredient)entry2.getValue();

out.print("\t\t\t\r\n\t\t\t\t<TR>\r\n\t\t\t\t\t<TD><FONT FACE=\"Arial,Helvetica\" 
       SIZE=\"2\">&nbsp;");
out.print(ingredient.getName());
out.print("</TD>\r\n\t\t\t\t\t<TD><FONT FACE=\"Arial,Helvetica\" SIZE=\"2\">&nbsp;DM&nbsp;");
out.print(formatCurrency(ingredient.getPrice()));
out.print("</TD>\r\n\t\t\t\t\t<TD><FONT FACE=\"Arial,Helvetica\" SIZE=\"2\">
<INPUT NAME=\"ID_INGREDIENTS\" TYPE=\"checkbox\" VALUE=\"");
out.print(ingredient.getId());
out.print("\"></TD>\t\r\n\t\t\t\t</TR>\r\n\t\t\t");
out.print("\t\t\r\n\t\t\t\t\r\n\t\t\t</TR>\t\t\r\n\t\t\t</TABLE>


!!! Listing 9

<%--
  % This Javer Server Page is part of the iX JSP tutorial.
  % Error Pages 
 --%>


<%-- Setting up page as error page --%>
<%@ page isErrorPage="true" %>
<%@ page import="java.io.*" %>
<%
      ByteArrayOutputStream theStream = new ByteArrayOutputStream();
      if(exception != null)
      	  exception.printStackTrace(new PrintWriter(theStream,true));
%>
<!--
  Der Grund des Fehlers ist "<%=exception.getMessage() %>".
  Der Fehler trat an folgende Stelle auf:
  "<%=theStream.toString()%>"
-->

<HTML>
<HEAD>
	<TITLE>PIZZA SERVICE ONLINE - ERROR</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF" LINK="#406E6E" ALINK="#406E6E" VLINK="#406E6E">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">
<TR VALIGN="top">
	<TD WIDTH="115"><A HREF="index.jsp">
          <IMG SRC="logo.gif" WIDTH="115" 
            HEIGHT="115" ALT="" BORDER="0"></A></TD>
	<TD WIDTH="50">&nbsp;</TD>
	<TD WIDTH="500"><FONT FACE="Arial,Helvetica" SIZE="2">
	<FONT SIZE="5" COLOR="#406E6E"><B><I>Fehler</I></B></FONT><BR>
	<BR>
	Leider ist ein Fehler aufgetreten.
	<BR>
	<BR>
	<A HREF="index.jsp">Startseite</A>
	<BR>
	<BR>
	<BR>
	<%@ include file="/jspTutorial/includes/copyright.html"%>
	</FONT></TD>
</TR>
</TABLE>
</BODY>
</HTML>
